#!/bin/sh
# fake ftp server
PATH=/bin
export PATH

echo 220 `hostname` FTP server ready.
GOTU=0
while read CMD OPT
do
	case "$CMD" in
	[Qq][Uu][Ii][Tt])
		echo 221 Goodbye.
		exit 0
		;;
	[Uu][Ss][Ee][Rr])
		echo 331 Password required for "$OPT".
		GOTU=1
		;;
	[Pp][Aa][Ss][Ss])
		sleep 2	# to stop attacks
		if [ "$GOTU" = 1 ]
		then
			echo 530 Login incorrect.
			GOTU=0
		else
			echo 503 Login with USER first.
		fi
		;;
	*)
		echo 530 Please login with USER and PASS.
		;;
	esac
done
echo 421 You could say goodbye.
